# plugin

inline fun ObjectConfigurationAction.plugin(pluginClass: KClass<out Plugin<*>>): ObjectConfigurationAction
inline fun ObjectConfigurationAction.plugin(pluginClass: KClass<out Plugin<*>>): ObjectConfigurationAction

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.plugins.ObjectConfigurationAction.plugin.

#### See also

ObjectConfigurationAction.plugin

inline fun <T : Plugin<*>> ObjectConfigurationAction.plugin(): <Error class: unknown class>

Adds a Plugin to use to configure the target objects. This method may be called multiple times, to use multiple plugins. Scripts and plugins are applied in the order that they are added.

#### Parameters

T

the plugin to apply.